Subject: segfault when loading file

From: Pieter Slabbert <[email-masked]>
Date: Thu, 05 Dec 2013 21:39:22 +0200

HI

When I try to load a file which contains
  (set-car! '(0 . ()) 1)

Guile segfaults .
if I enter the same thing into the interpreter it works fine.

I tried the same thing in chibi and it complained about try to mutate
an immutable pair. Fixed it in my code but the segfault made it a lot 
harder to find

I installed guile from git. Version gives me 2.1.0.526-7f710
Running Ubuntu 13.10
Processor: Intel Atom N450

Steps to reproduce:

$ echo "(set-car! '(0 . ()) 1)" > test.scm
$ guile
 > (load "test.scm")
segfault

Thanks
Pieter